Package: org.codehaus.groovy.ast

## [Java] Class ConstructorNode

- org.codehaus.groovy.ast.ConstructorNode

-     public class ConstructorNode
      extends MethodNode

  Represents a constructor declaration

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ConstructorNode()`
    `ConstructorNode(int modifiers, Statement code)`
    `ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `firstStatementIsSpecialConstructorCall()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodNode` | `getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getText, getTypeDescriptor, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isConstructor, isDefault, isDynamicReturnType, isFinal, isPackageScope, isPrivate, isProtected, isPublic, isScriptBody, isStatic, isStaticConstructor, isSyntheticPublic, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setIsScriptBody, setModifiers, setParameters, setReturnType, setSyntheticPublic, setVariableScope, toString`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### protected ConstructorNode()

    - #### public ConstructorNode(int modifiers, Statement code)

    - #### public ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)

  - ### Method Detail

    - #### public boolean firstStatementIsSpecialConstructorCall()